import 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-a259d6a5.js';
import '../chunk-79998200.js';
import { useHidden } from '../Hidden/Hidden.js';
import '../Hidden/HiddenState.js';
import { useDialogState } from './DialogState.js';

var useDialogBackdrop = unstable_createHook({
  name: "DialogBackdrop",
  compose: useHidden,
  useState: useDialogState,
  useProps: function useProps(_, htmlProps) {
    return _objectSpread({
      id: undefined,
      role: "presentation"
    }, htmlProps);
  }
});
var DialogBackdrop = unstable_createComponent({
  as: "div",
  useHook: useDialogBackdrop
});

export { DialogBackdrop, useDialogBackdrop };
