import 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../chunk-b94938c6.js';
import '../chunk-a259d6a5.js';
import '../Tabbable/Tabbable.js';
import '../Button/Button.js';
import '../chunk-79998200.js';
import '../Hidden/HiddenState.js';
import { useDialogState } from './DialogState.js';
import { useHiddenDisclosure } from '../Hidden/HiddenDisclosure.js';

var useDialogDisclosure = unstable_createHook({
  name: "DialogDisclosure",
  compose: useHiddenDisclosure,
  useState: useDialogState,
  useProps: function useProps(_, htmlProps) {
    return _objectSpread({
      "aria-haspopup": "dialog"
    }, htmlProps);
  }
});
var DialogDisclosure = unstable_createComponent({
  as: "button",
  useHook: useDialogDisclosure
});

export { DialogDisclosure, useDialogDisclosure };
