import 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-b4d83ecc.js';
import { unstable_useFormState } from './FormState.js';
import './utils/setAllIn.js';
import './utils/getIn.js';
import './utils/setIn.js';
import '../chunk-062e44ee.js';
import { a as getInputId } from '../chunk-e6fae15a.js';
import { a as getLabelId } from '../chunk-48c13397.js';
import { b as getMessageId, a as shouldShowError } from '../chunk-e2383517.js';
import { useGroup } from '../Group/Group.js';

var unstable_useFormGroup = unstable_createHook({
  name: "FormGroup",
  compose: useGroup,
  useState: unstable_useFormState,
  keys: ["name"],
  useProps: function useProps(options, htmlProps) {
    return _objectSpread({
      id: getInputId(options.name, options.baseId),
      "aria-describedby": getMessageId(options.name, options.baseId),
      "aria-labelledby": getLabelId(options.name, options.baseId),
      "aria-invalid": shouldShowError(options, options.name)
    }, htmlProps);
  }
});
var unstable_FormGroup = unstable_createComponent({
  as: "fieldset",
  useHook: unstable_useFormGroup
});

export { unstable_FormGroup, unstable_useFormGroup };
