import { useCallback } from 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../chunk-b94938c6.js';
import { a as useAllCallbacks } from '../chunk-a259d6a5.js';
import '../Tabbable/Tabbable.js';
import { useButton } from '../Button/Button.js';
import '../chunk-b4d83ecc.js';
import { unstable_useFormState } from './FormState.js';
import './utils/setAllIn.js';
import { unstable_getIn } from './utils/getIn.js';
import './utils/setIn.js';
import { a as formatInputName } from '../chunk-062e44ee.js';
import { a as getInputId } from '../chunk-e6fae15a.js';
import { a as getPushButtonId } from '../chunk-019e2d31.js';

var unstable_useFormPushButton = unstable_createHook({
  name: "FormPushButton",
  compose: useButton,
  useState: unstable_useFormState,
  keys: ["name", "value"],
  useProps: function useProps(options, _ref) {
    var htmlOnClick = _ref.onClick,
        htmlProps = _objectWithoutPropertiesLoose(_ref, ["onClick"]);

    var onClick = useCallback(function () {
      options.push(options.name, options.value);

      var _unstable_getIn = unstable_getIn(options.values, options.name, []),
          length = _unstable_getIn.length;

      var inputId = getInputId(formatInputName(options.name, "-") + "-" + length, options.baseId);
      if (!inputId) return;
      window.requestAnimationFrame(function () {
        var selector = "[id^=\"" + inputId + "\"]";
        var input = document.querySelector(selector);

        if (input) {
          input.focus();
        }
      });
    }, [options.push, options.name, options.value, options.values, options.baseId]);
    return _objectSpread({
      id: getPushButtonId(options.name, options.baseId),
      onClick: useAllCallbacks(onClick, htmlOnClick)
    }, htmlProps);
  }
});
var unstable_FormPushButton = unstable_createComponent({
  as: "button",
  useHook: unstable_useFormPushButton
});

export { unstable_FormPushButton, unstable_useFormPushButton };
