import { useState, useContext, useEffect, useCallback } from 'react';
import { unstable_useSealedState } from '../utils/useSealedState.js';
import '../utils/useId.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import '../utils/createHook.js';
import '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../chunk-b94938c6.js';
import '../chunk-a259d6a5.js';
import '../Tabbable/Tabbable.js';
import '../chunk-79998200.js';
import '../Hidden/HiddenState.js';
import '../chunk-b4d83ecc.js';
import '../Dialog/DialogState.js';
import '../chunk-96f01ae3.js';
import { useRoverState } from '../Rover/RoverState.js';
import '../Rover/Rover.js';
import 'popper.js';
import { usePopoverState } from '../Popover/PopoverState.js';
import { a as MenuContext } from '../chunk-ee62c270.js';

function useMenuState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _unstable_useSealedSt = unstable_useSealedState(initialState),
      _unstable_useSealedSt2 = _unstable_useSealedSt.orientation,
      orientation = _unstable_useSealedSt2 === void 0 ? "vertical" : _unstable_useSealedSt2,
      _unstable_useSealedSt3 = _unstable_useSealedSt.unstable_gutter,
      initialGutter = _unstable_useSealedSt3 === void 0 ? 0 : _unstable_useSealedSt3,
      _unstable_useSealedSt4 = _unstable_useSealedSt.unstable_values,
      initialValues = _unstable_useSealedSt4 === void 0 ? {} : _unstable_useSealedSt4,
      sealed = _objectWithoutPropertiesLoose(_unstable_useSealedSt, ["orientation", "unstable_gutter", "unstable_values"]);

  var _React$useState = useState(initialValues),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var parent = useContext(MenuContext);
  var placement = sealed.placement || (parent && parent.orientation === "vertical" ? "right-start" : "bottom-start");
  var rover = useRoverState(_objectSpread({}, sealed, {
    orientation: orientation
  }));
  var popover = usePopoverState(_objectSpread({}, sealed, {
    placement: placement,
    unstable_gutter: initialGutter
  }));
  useEffect(function () {
    if (!popover.visible) {
      rover.unstable_reset();
    }
  }, [popover.visible]);
  return _objectSpread({}, rover, popover, {
    unstable_values: values,
    unstable_update: useCallback(function (name, value) {
      setValues(function (vals) {
        var _objectSpread2;

        return _objectSpread({}, vals, (_objectSpread2 = {}, _objectSpread2[name] = typeof value === "function" ? value(vals) : value, _objectSpread2));
      });
    }, [])
  });
}
var keys = [].concat(useRoverState.__keys, usePopoverState.__keys, ["unstable_values", "unstable_update"]);
useMenuState.__keys = keys;

export { useMenuState };
