import 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import { a as mergeRefs } from '../chunk-b94938c6.js';
import '../chunk-a259d6a5.js';
import '../Tabbable/Tabbable.js';
import '../Button/Button.js';
import '../chunk-79998200.js';
import '../Hidden/HiddenState.js';
import '../Dialog/DialogState.js';
import '../Hidden/HiddenDisclosure.js';
import { useDialogDisclosure } from '../Dialog/DialogDisclosure.js';
import 'popper.js';
import { usePopoverState } from './PopoverState.js';

var usePopoverDisclosure = unstable_createHook({
  name: "PopoverDisclosure",
  compose: useDialogDisclosure,
  useState: usePopoverState,
  useProps: function useProps(options, _ref) {
    var htmlRef = _ref.ref,
        htmlProps = _objectWithoutPropertiesLoose(_ref, ["ref"]);

    return _objectSpread({
      ref: mergeRefs(options.unstable_referenceRef, htmlRef)
    }, htmlProps);
  }
});
var PopoverDisclosure = unstable_createComponent({
  as: "button",
  useHook: usePopoverDisclosure
});

export { PopoverDisclosure, usePopoverDisclosure };
