import { useCallback } from 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../chunk-b94938c6.js';
import { a as useAllCallbacks } from '../chunk-a259d6a5.js';
import '../Tabbable/Tabbable.js';
import '../chunk-79998200.js';
import '../chunk-b4d83ecc.js';
import '../chunk-96f01ae3.js';
import '../Rover/RoverState.js';
import { useRover } from '../Rover/Rover.js';
import { a as getTabId, b as getTabPanelId } from '../chunk-ddf73afb.js';
import { useTabState } from './TabState.js';

var useTab = unstable_createHook({
  name: "Tab",
  compose: useRover,
  useState: useTabState,
  useOptions: function useOptions(_ref) {
    var _ref$focusable = _ref.focusable,
        focusable = _ref$focusable === void 0 ? true : _ref$focusable,
        options = _objectWithoutPropertiesLoose(_ref, ["focusable"]);

    return _objectSpread({
      focusable: focusable
    }, options);
  },
  useProps: function useProps(options, _ref2) {
    var htmlOnClick = _ref2.onClick,
        htmlOnFocus = _ref2.onFocus,
        htmlProps = _objectWithoutPropertiesLoose(_ref2, ["onClick", "onFocus"]);

    var selected = options.selectedId === options.stopId;
    var onClick = useCallback(function () {
      if (!options.disabled && !selected) {
        options.select(options.stopId);
      }
    }, [options.disabled, selected, options.select, options.stopId]);
    var onFocus = useCallback(function () {
      if (!options.disabled && !options.manual && !selected) {
        options.select(options.stopId);
      }
    }, [options.disabled, options.manual, selected, options.select, options.stopId]);
    return _objectSpread({
      role: "tab",
      id: getTabId(options.stopId, options.unstable_baseId),
      "aria-selected": selected,
      "aria-controls": getTabPanelId(options.stopId, options.unstable_baseId),
      onClick: useAllCallbacks(onClick, htmlOnClick),
      onFocus: useAllCallbacks(onFocus, htmlOnFocus)
    }, htmlProps);
  }
});
var Tab = unstable_createComponent({
  as: "button",
  useHook: useTab
});

export { Tab, useTab };
