import 'react';
import '../utils/useSealedState.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import '../chunk-79998200.js';
import '../Rover/RoverState.js';
import { useSeparator } from '../Separator/Separator.js';
import { useToolbarState } from './ToolbarState.js';

var useToolbarSeparator = unstable_createHook({
  name: "ToolbarSeparator",
  compose: useSeparator,
  useState: useToolbarState,
  useOptions: function useOptions(_ref) {
    var _ref$orientation = _ref.orientation,
        orientation = _ref$orientation === void 0 ? "vertical" : _ref$orientation,
        options = _objectWithoutPropertiesLoose(_ref, ["orientation"]);

    return _objectSpread({
      orientation: orientation === "vertical" ? "horizontal" : "vertical"
    }, options);
  }
});
var ToolbarSeparator = unstable_createComponent({
  as: "hr",
  useHook: useToolbarSeparator
});

export { ToolbarSeparator, useToolbarSeparator };
