import { useCallback, createElement } from 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-94b779f5.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../system/useToken.js';
import '../system/useOptions.js';
import '../system/useProps.js';
import '../chunk-2f16e450.js';
import '../chunk-56719312.js';
import { unstable_createHook } from '../utils/createHook.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../Box/Box.js';
import { a as mergeRefs } from '../chunk-b94938c6.js';
import '../chunk-a259d6a5.js';
import '../chunk-79998200.js';
import 'react-dom';
import { Portal } from '../Portal/Portal.js';
import { useHidden } from '../Hidden/Hidden.js';
import '../Hidden/HiddenState.js';
import { a as usePipe } from '../chunk-3707f194.js';
import '../Dialog/DialogState.js';
import 'popper.js';
import '../Popover/PopoverState.js';
import { useTooltipState } from './TooltipState.js';

var useTooltip = unstable_createHook({
  name: "Tooltip",
  compose: useHidden,
  useState: useTooltipState,
  useProps: function useProps(options, _ref) {
    var htmlRef = _ref.ref,
        htmlStyle = _ref.style,
        htmlWrap = _ref.unstable_wrap,
        htmlProps = _objectWithoutPropertiesLoose(_ref, ["ref", "style", "unstable_wrap"]);

    var wrap = useCallback(function (children) {
      return createElement(Portal, null, children);
    }, []);
    return _objectSpread({
      ref: mergeRefs(options.unstable_popoverRef, htmlRef),
      role: "tooltip",
      style: _objectSpread({}, options.unstable_popoverStyles, {
        pointerEvents: "none"
      }, htmlStyle),
      unstable_wrap: usePipe(wrap, htmlWrap)
    }, htmlProps);
  }
});
var Tooltip = unstable_createComponent({
  as: "div",
  useHook: useTooltip
});

export { Tooltip, useTooltip };
