var isProduction = process.env.NODE_ENV === "production";
var warnings = [];
function warning(condition, label) {
  if (!isProduction) {
    if (!condition) return;
    var finalLabel = label ? "[reakit/" + label + "]\n" : "[reakit]\n";

    for (var _len = arguments.length, messages = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      messages[_key - 2] = arguments[_key];
    }

    var text = "" + finalLabel + messages.join("\n\n");

    if (warnings.indexOf(text) === -1) {
      // eslint-disable-next-line no-console
      console.warn(text);
      warnings.push(text);
    } // Throwing an error and catching it immediately to improve debugging
    // A consumer can use 'pause on caught exceptions'
    // https://github.com/facebook/react/issues/4216


    try {
      throw Error(text);
    } catch (x) {// do nothing
    }
  }
}

export { warning as a };
