'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
var __chunk_5 = require('../chunk-c7489df4.js');
require('../chunk-471f8aea.js');
var Tabbable = require('../Tabbable/Tabbable.js');

var useButton = createHook.unstable_createHook({
  name: "Button",
  compose: Tabbable.useTabbable,
  useProps: function useProps(_, _ref) {
    var htmlRef = _ref.ref,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["ref"]);

    var ref = React.useRef(null);

    var _React$useState = React.useState(undefined),
        role = _React$useState[0],
        setRole = _React$useState[1];

    React.useEffect(function () {
      if (ref.current && (ref.current instanceof HTMLButtonElement || ref.current instanceof HTMLAnchorElement || ref.current instanceof HTMLInputElement)) {
        return;
      }

      setRole("button");
    }, []);
    return __chunk_1._objectSpread({
      ref: __chunk_5.mergeRefs(ref, htmlRef),
      role: role,
      type: "button"
    }, htmlProps);
  }
});
var Button = createComponent.unstable_createComponent({
  as: "button",
  useHook: useButton
});

exports.Button = Button;
exports.useButton = useButton;
