'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-471f8aea.js');
require('../chunk-1299e245.js');
var Hidden = require('../Hidden/Hidden.js');
require('../Hidden/HiddenState.js');
var DialogState = require('./DialogState.js');

var useDialogBackdrop = createHook.unstable_createHook({
  name: "DialogBackdrop",
  compose: Hidden.useHidden,
  useState: DialogState.useDialogState,
  useProps: function useProps(_, htmlProps) {
    return __chunk_1._objectSpread({
      id: undefined,
      role: "presentation"
    }, htmlProps);
  }
});
var DialogBackdrop = createComponent.unstable_createComponent({
  as: "div",
  useHook: useDialogBackdrop
});

exports.DialogBackdrop = DialogBackdrop;
exports.useDialogBackdrop = useDialogBackdrop;
