'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-5a603fe6.js');
var FormState = require('./FormState.js');
require('./utils/setAllIn.js');
require('./utils/getIn.js');
require('./utils/setIn.js');
require('../chunk-0ecca8fe.js');
var __chunk_12 = require('../chunk-b9cf562b.js');
var __chunk_13 = require('../chunk-d49d3de6.js');
var __chunk_14 = require('../chunk-9c586f91.js');
var Group = require('../Group/Group.js');

var unstable_useFormGroup = createHook.unstable_createHook({
  name: "FormGroup",
  compose: Group.useGroup,
  useState: FormState.unstable_useFormState,
  keys: ["name"],
  useProps: function useProps(options, htmlProps) {
    return __chunk_1._objectSpread({
      id: __chunk_12.getInputId(options.name, options.baseId),
      "aria-describedby": __chunk_14.getMessageId(options.name, options.baseId),
      "aria-labelledby": __chunk_13.getLabelId(options.name, options.baseId),
      "aria-invalid": __chunk_14.shouldShowError(options, options.name)
    }, htmlProps);
  }
});
var unstable_FormGroup = createComponent.unstable_createComponent({
  as: "fieldset",
  useHook: unstable_useFormGroup
});

exports.unstable_FormGroup = unstable_FormGroup;
exports.unstable_useFormGroup = unstable_useFormGroup;
