'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../chunk-c7489df4.js');
var __chunk_6 = require('../chunk-471f8aea.js');
var Tabbable = require('../Tabbable/Tabbable.js');
require('../chunk-5a603fe6.js');
var FormState = require('./FormState.js');
require('./utils/setAllIn.js');
var getIn = require('./utils/getIn.js');
require('./utils/setIn.js');
var __chunk_11 = require('../chunk-0ecca8fe.js');
var __chunk_12 = require('../chunk-b9cf562b.js');
var __chunk_13 = require('../chunk-d49d3de6.js');
var __chunk_14 = require('../chunk-9c586f91.js');

var defaultClickKeys = [];
var unstable_useFormInput = createHook.unstable_createHook({
  name: "FormInput",
  compose: Tabbable.useTabbable,
  useState: FormState.unstable_useFormState,
  keys: ["name"],
  useProps: function useProps(options, _ref) {
    var htmlOnChange = _ref.onChange,
        htmlOnBlur = _ref.onBlur,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onChange", "onBlur"]);

    var onChange = React.useCallback(function (event) {
      options.update(options.name, event.target.value);
    }, [options.update, options.name]);
    var onBlur = React.useCallback(function () {
      options.blur(options.name);
    }, [options.blur, options.name]);
    return __chunk_1._objectSpread({
      id: __chunk_12.getInputId(options.name, options.baseId),
      name: __chunk_11.formatInputName(options.name),
      value: getIn.unstable_getIn(options.values, options.name, ""),
      onChange: __chunk_6.useAllCallbacks(onChange, htmlOnChange),
      onBlur: __chunk_6.useAllCallbacks(onBlur, htmlOnBlur),
      "aria-describedby": __chunk_14.getMessageId(options.name, options.baseId),
      "aria-labelledby": __chunk_13.getLabelId(options.name, options.baseId),
      "aria-invalid": __chunk_14.shouldShowError(options, options.name)
    }, htmlProps);
  },
  useCompose: function useCompose(options, htmlProps) {
    return Tabbable.useTabbable(__chunk_1._objectSpread({}, options, {
      unstable_clickKeys: defaultClickKeys
    }), htmlProps);
  }
});
var unstable_FormInput = createComponent.unstable_createComponent({
  as: "input",
  useHook: unstable_useFormInput
});

exports.unstable_FormInput = unstable_FormInput;
exports.unstable_useFormInput = unstable_useFormInput;
