'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');
require('../chunk-5a603fe6.js');
var FormState = require('./FormState.js');
require('./utils/setAllIn.js');
var getIn = require('./utils/getIn.js');
require('./utils/setIn.js');
require('../chunk-0ecca8fe.js');
require('../chunk-b9cf562b.js');
var __chunk_14 = require('../chunk-9c586f91.js');

function shouldShowMessage(_ref, name) {
  var touched = _ref.touched,
      messages = _ref.messages;
  return Boolean(getIn.unstable_getIn(touched, name) && getIn.unstable_getIn(messages, name));
}

var unstable_useFormMessage = createHook.unstable_createHook({
  name: "FormMessage",
  compose: Box.useBox,
  useState: FormState.unstable_useFormState,
  keys: ["name"],
  useProps: function useProps(options, htmlProps) {
    var children = __chunk_14.shouldShowError(options, options.name) ? getIn.unstable_getIn(options.errors, options.name) : undefined;
    children = children || (shouldShowMessage(options, options.name) ? getIn.unstable_getIn(options.messages, options.name) : undefined);
    return __chunk_1._objectSpread({
      role: "alert",
      id: __chunk_14.getMessageId(options.name, options.baseId),
      children: children
    }, htmlProps);
  }
});
var unstable_FormMessage = createComponent.unstable_createComponent({
  as: "div",
  useHook: unstable_useFormMessage
});

exports.unstable_FormMessage = unstable_FormMessage;
exports.unstable_useFormMessage = unstable_useFormMessage;
