'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-1299e245.js');
var __chunk_9 = require('../chunk-56442bfa.js');
require('../chunk-5a603fe6.js');
var FormState = require('./FormState.js');
require('./utils/setAllIn.js');
require('./utils/getIn.js');
require('./utils/setIn.js');
require('../chunk-0ecca8fe.js');
require('../chunk-b9cf562b.js');
require('../chunk-d49d3de6.js');
require('../chunk-9c586f91.js');
require('../Group/Group.js');
var FormGroup = require('./FormGroup.js');
var RoverState = require('../Rover/RoverState.js');

var FormRadioGroupContext = React.createContext(null);
var unstable_useFormRadioGroup = createHook.unstable_createHook({
  name: "FormRadioGroup",
  compose: FormGroup.unstable_useFormGroup,
  useState: FormState.unstable_useFormState,
  keys: ["name"],
  useProps: function useProps(_, _ref) {
    var htmlWrap = _ref.unstable_wrap,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["unstable_wrap"]);

    var rover = RoverState.useRoverState({
      loop: true
    });
    var providerValue = React.useMemo(function () {
      return rover;
    }, [rover.stops, rover.currentId, rover.unstable_pastId]);
    var wrap = React.useCallback(function (children) {
      return React.createElement(FormRadioGroupContext.Provider, {
        value: providerValue
      }, children);
    }, [providerValue]);
    return __chunk_1._objectSpread({
      role: "radiogroup",
      unstable_wrap: __chunk_9.usePipe(wrap, htmlWrap)
    }, htmlProps);
  }
});
var unstable_FormRadioGroup = createComponent.unstable_createComponent({
  as: "fieldset",
  useHook: unstable_useFormRadioGroup
});

exports.FormRadioGroupContext = FormRadioGroupContext;
exports.unstable_FormRadioGroup = unstable_FormRadioGroup;
exports.unstable_useFormRadioGroup = unstable_useFormRadioGroup;
