'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');
var __chunk_6 = require('../chunk-471f8aea.js');
require('../chunk-1299e245.js');
var HiddenState = require('./HiddenState.js');

function cx() {
  for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
    classes[_key] = arguments[_key];
  }

  return classes.filter(Boolean).join(" ") || undefined;
}

var useHidden = createHook.unstable_createHook({
  name: "Hidden",
  compose: Box.useBox,
  useState: HiddenState.useHiddenState,
  useProps: function useProps(options, _ref) {
    var htmlOnAnimationEnd = _ref.onAnimationEnd,
        htmlOnTransitionEnd = _ref.onTransitionEnd,
        htmlClassName = _ref.className,
        htmlStyle = _ref.style,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onAnimationEnd", "onTransitionEnd", "className", "style"]);

    var _React$useState = React.useState(null),
        hiddenClass = _React$useState[0],
        setHiddenClass = _React$useState[1];

    React.useEffect(function () {
      if (options.unstable_setIsMounted) {
        options.unstable_setIsMounted(true);
      }

      return function () {
        if (options.unstable_setIsMounted) {
          options.unstable_setIsMounted(false);
        }
      };
    }, [options.unstable_setIsMounted]);
    React.useEffect(function () {
      setHiddenClass(!options.visible ? "hidden" : null);
    }, [options.visible]);
    var onTransitionEnd = React.useCallback(function () {
      if (options.unstable_animated && options.unstable_stopAnimation && !options.visible) {
        options.unstable_stopAnimation();
      }
    }, [options.unstable_animated, options.unstable_stopAnimation, options.visible]);
    var animating = options.unstable_animated && options.unstable_animating;
    var hidden = !options.visible && !animating;
    return __chunk_1._objectSpread({
      role: "region",
      id: options.unstable_hiddenId,
      className: cx(hiddenClass, htmlClassName),
      onAnimationEnd: __chunk_6.useAllCallbacks(onTransitionEnd, htmlOnAnimationEnd),
      onTransitionEnd: __chunk_6.useAllCallbacks(onTransitionEnd, htmlOnTransitionEnd),
      hidden: hidden
    }, hidden ? {
      style: __chunk_1._objectSpread({
        display: "none"
      }, htmlStyle)
    } : htmlStyle ? {
      style: htmlStyle
    } : {}, htmlProps);
  }
});
var Hidden = createComponent.unstable_createComponent({
  as: "div",
  useHook: useHidden
});

exports.Hidden = Hidden;
exports.useHidden = useHidden;
