'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../chunk-c7489df4.js');
var __chunk_6 = require('../chunk-471f8aea.js');
require('../Tabbable/Tabbable.js');
var Button = require('../Button/Button.js');
require('../chunk-1299e245.js');
var HiddenState = require('./HiddenState.js');

var useHiddenDisclosure = createHook.unstable_createHook({
  name: "HiddenDisclosure",
  compose: Button.useButton,
  useState: HiddenState.useHiddenState,
  useProps: function useProps(options, _ref) {
    var htmlOnClick = _ref.onClick,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onClick"]);

    return __chunk_1._objectSpread({
      onClick: __chunk_6.useAllCallbacks(options.toggle, htmlOnClick),
      "aria-expanded": Boolean(options.visible),
      "aria-controls": options.unstable_hiddenId
    }, htmlProps);
  }
});
var HiddenDisclosure = createComponent.unstable_createComponent({
  as: "button",
  useHook: useHiddenDisclosure
});

exports.HiddenDisclosure = HiddenDisclosure;
exports.useHiddenDisclosure = useHiddenDisclosure;
