'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../chunk-c7489df4.js');
require('../chunk-471f8aea.js');
require('../Tabbable/Tabbable.js');
require('../chunk-1299e245.js');
require('../Hidden/HiddenState.js');
require('../chunk-5a603fe6.js');
require('../Dialog/DialogState.js');
require('../chunk-498e747a.js');
require('../Rover/RoverState.js');
require('../Rover/Rover.js');
require('popper.js');
require('../Popover/PopoverState.js');
require('../chunk-8a7a2ea8.js');
var MenuState = require('./MenuState.js');

var useMenuGroup = createHook.unstable_createHook({
  name: "MenuGroup",
  compose: Box.useBox,
  useState: MenuState.useMenuState,
  useProps: function useProps(_, htmlProps) {
    return __chunk_1._objectSpread({
      role: "group"
    }, htmlProps);
  }
});
var MenuGroup = createComponent.unstable_createComponent({
  as: "div",
  useHook: useMenuGroup
});

exports.MenuGroup = MenuGroup;
exports.useMenuGroup = useMenuGroup;
