'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
var useCreateElement = require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
var __chunk_5 = require('../chunk-c7489df4.js');
require('../chunk-471f8aea.js');
require('../chunk-d4f443f9.js');
var __chunk_8 = require('../chunk-1299e245.js');
require('react-dom');
require('../Portal/Portal.js');
require('../Hidden/Hidden.js');
require('../Hidden/HiddenState.js');
require('../chunk-56442bfa.js');
var Dialog = require('../Dialog/Dialog.js');
require('body-scroll-lock');
require('../chunk-5a603fe6.js');
require('../Dialog/DialogState.js');
require('popper.js');
var PopoverState = require('./PopoverState.js');

var usePopover = createHook.unstable_createHook({
  name: "Popover",
  compose: Dialog.useDialog,
  useState: PopoverState.usePopoverState,
  useOptions: function useOptions(_ref) {
    var _ref$modal = _ref.modal,
        modal = _ref$modal === void 0 ? false : _ref$modal,
        options = __chunk_1._objectWithoutPropertiesLoose(_ref, ["modal"]);

    return __chunk_1._objectSpread({
      modal: modal
    }, options);
  },
  useProps: function useProps(options, _ref2) {
    var htmlRef = _ref2.ref,
        htmlStyle = _ref2.style,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref2, ["ref", "style"]);

    return __chunk_1._objectSpread({
      ref: __chunk_5.mergeRefs(options.unstable_popoverRef, htmlRef),
      style: __chunk_1._objectSpread({}, options.unstable_popoverStyles, htmlStyle)
    }, htmlProps);
  }
});
var Popover = createComponent.unstable_createComponent({
  as: "div",
  useHook: usePopover,
  useCreateElement: function useCreateElement$1(type, props, children) {
    process.env.NODE_ENV !== "production" ? __chunk_8.warning(!props["aria-label"] && !props["aria-labelledby"], "Popover", "You should provide either `aria-label` or `aria-labelledby` props.", "See https://reakit.io/docs/popover") : void 0;
    return useCreateElement.unstable_useCreateElement(type, props, children);
  }
});

exports.Popover = Popover;
exports.usePopover = usePopover;
