'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var useSealedState = require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
require('../utils/createHook.js');
require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../chunk-c7489df4.js');
require('../chunk-471f8aea.js');
require('../Tabbable/Tabbable.js');
require('../chunk-1299e245.js');
require('../chunk-5a603fe6.js');
require('../chunk-498e747a.js');
var RoverState = require('../Rover/RoverState.js');
require('../Rover/Rover.js');

function useRadioState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _unstable_useSealedSt = useSealedState.unstable_useSealedState(initialState),
      initialCurrentValue = _unstable_useSealedSt.state,
      _unstable_useSealedSt2 = _unstable_useSealedSt.loop,
      loop = _unstable_useSealedSt2 === void 0 ? true : _unstable_useSealedSt2,
      sealed = __chunk_1._objectWithoutPropertiesLoose(_unstable_useSealedSt, ["state", "loop"]);

  var _React$useState = React.useState(initialCurrentValue),
      state = _React$useState[0],
      setState = _React$useState[1];

  var rover = RoverState.useRoverState(__chunk_1._objectSpread({}, sealed, {
    loop: loop
  }));
  return __chunk_1._objectSpread({}, rover, {
    state: state,
    setState: setState
  });
}
var keys = [].concat(RoverState.useRoverState.__keys, ["state", "setState"]);
useRadioState.__keys = keys;

exports.useRadioState = useRadioState;
