'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');

var useSeparator = createHook.unstable_createHook({
  name: "Separator",
  compose: Box.useBox,
  keys: ["orientation"],
  useOptions: function useOptions(_ref) {
    var _ref$orientation = _ref.orientation,
        orientation = _ref$orientation === void 0 ? "horizontal" : _ref$orientation,
        options = __chunk_1._objectWithoutPropertiesLoose(_ref, ["orientation"]);

    return __chunk_1._objectSpread({
      orientation: orientation
    }, options);
  },
  useProps: function useProps(options, htmlProps) {
    return __chunk_1._objectSpread({
      role: "separator",
      "aria-orientation": options.orientation
    }, htmlProps);
  }
});
var Separator = createComponent.unstable_createComponent({
  as: "hr",
  useHook: useSeparator
});

exports.Separator = Separator;
exports.useSeparator = useSeparator;
