'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-471f8aea.js');
require('../chunk-1299e245.js');
var Hidden = require('../Hidden/Hidden.js');
require('../Hidden/HiddenState.js');
require('../Rover/RoverState.js');
var __chunk_18 = require('../chunk-8078ee09.js');
var TabState = require('./TabState.js');

var useTabPanel = createHook.unstable_createHook({
  name: "TabPanel",
  compose: Hidden.useHidden,
  useState: TabState.useTabState,
  keys: ["stopId"],
  useOptions: function useOptions(options) {
    return __chunk_1._objectSpread({
      visible: options.selectedId === options.stopId
    }, options);
  },
  useProps: function useProps(options, htmlProps) {
    return __chunk_1._objectSpread({
      role: "tabpanel",
      tabIndex: 0,
      id: __chunk_18.getTabPanelId(options.stopId, options.unstable_baseId),
      "aria-labelledby": __chunk_18.getTabId(options.stopId, options.unstable_baseId)
    }, htmlProps);
  }
});
var TabPanel = createComponent.unstable_createComponent({
  as: "div",
  useHook: useTabPanel
});

exports.TabPanel = TabPanel;
exports.useTabPanel = useTabPanel;
