'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
var __chunk_1 = require('../chunk-002fc018.js');
var useCreateElement = require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');
var __chunk_8 = require('../chunk-1299e245.js');
require('../Rover/RoverState.js');
var ToolbarState = require('./ToolbarState.js');

var useToolbar = createHook.unstable_createHook({
  name: "Toolbar",
  compose: Box.useBox,
  useState: ToolbarState.useToolbarState,
  useProps: function useProps(options, htmlProps) {
    return __chunk_1._objectSpread({
      role: "toolbar",
      "aria-orientation": options.orientation
    }, htmlProps);
  }
});
var Toolbar = createComponent.unstable_createComponent({
  as: "div",
  useHook: useToolbar,
  useCreateElement: function useCreateElement$1(type, props, children) {
    process.env.NODE_ENV !== "production" ? __chunk_8.warning(!props["aria-label"] && !props["aria-labelledby"], "Toolbar", "You should provide either `aria-label` or `aria-labelledby` props.", "See https://reakit.io/docs/toolbar") : void 0;
    return useCreateElement.unstable_useCreateElement(type, props, children);
  }
});

exports.Toolbar = Toolbar;
exports.useToolbar = useToolbar;
