'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-1299e245.js');
require('../Rover/RoverState.js');
var Separator = require('../Separator/Separator.js');
var ToolbarState = require('./ToolbarState.js');

var useToolbarSeparator = createHook.unstable_createHook({
  name: "ToolbarSeparator",
  compose: Separator.useSeparator,
  useState: ToolbarState.useToolbarState,
  useOptions: function useOptions(_ref) {
    var _ref$orientation = _ref.orientation,
        orientation = _ref$orientation === void 0 ? "vertical" : _ref$orientation,
        options = __chunk_1._objectWithoutPropertiesLoose(_ref, ["orientation"]);

    return __chunk_1._objectSpread({
      orientation: orientation === "vertical" ? "horizontal" : "vertical"
    }, options);
  }
});
var ToolbarSeparator = createComponent.unstable_createComponent({
  as: "hr",
  useHook: useToolbarSeparator
});

exports.ToolbarSeparator = ToolbarSeparator;
exports.useToolbarSeparator = useToolbarSeparator;
