'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
var __chunk_5 = require('../chunk-c7489df4.js');
require('../chunk-471f8aea.js');
require('../chunk-1299e245.js');
require('react-dom');
var Portal = require('../Portal/Portal.js');
var Hidden = require('../Hidden/Hidden.js');
require('../Hidden/HiddenState.js');
var __chunk_9 = require('../chunk-56442bfa.js');
require('../Dialog/DialogState.js');
require('popper.js');
require('../Popover/PopoverState.js');
var TooltipState = require('./TooltipState.js');

var useTooltip = createHook.unstable_createHook({
  name: "Tooltip",
  compose: Hidden.useHidden,
  useState: TooltipState.useTooltipState,
  useProps: function useProps(options, _ref) {
    var htmlRef = _ref.ref,
        htmlStyle = _ref.style,
        htmlWrap = _ref.unstable_wrap,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["ref", "style", "unstable_wrap"]);

    var wrap = React.useCallback(function (children) {
      return React.createElement(Portal.Portal, null, children);
    }, []);
    return __chunk_1._objectSpread({
      ref: __chunk_5.mergeRefs(options.unstable_popoverRef, htmlRef),
      role: "tooltip",
      style: __chunk_1._objectSpread({}, options.unstable_popoverStyles, {
        pointerEvents: "none"
      }, htmlStyle),
      unstable_wrap: __chunk_9.usePipe(wrap, htmlWrap)
    }, htmlProps);
  }
});
var Tooltip = createComponent.unstable_createComponent({
  as: "div",
  useHook: useTooltip
});

exports.Tooltip = Tooltip;
exports.useTooltip = useTooltip;
