'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');
var __chunk_5 = require('../chunk-c7489df4.js');
var __chunk_6 = require('../chunk-471f8aea.js');
require('../chunk-1299e245.js');
require('../Hidden/HiddenState.js');
require('../Dialog/DialogState.js');
require('popper.js');
require('../Popover/PopoverState.js');
var TooltipState = require('./TooltipState.js');

var useTooltipReference = createHook.unstable_createHook({
  name: "TooltipReference",
  compose: Box.useBox,
  useState: TooltipState.useTooltipState,
  useProps: function useProps(options, _ref) {
    var htmlRef = _ref.ref,
        htmlOnFocus = _ref.onFocus,
        htmlOnBlur = _ref.onBlur,
        htmlOnMouseEnter = _ref.onMouseEnter,
        htmlOnMouseLeave = _ref.onMouseLeave,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["ref", "onFocus", "onBlur", "onMouseEnter", "onMouseLeave"]);

    return __chunk_1._objectSpread({
      ref: __chunk_5.mergeRefs(options.unstable_referenceRef, htmlRef),
      tabIndex: 0,
      onFocus: __chunk_6.useAllCallbacks(options.show, htmlOnFocus),
      onBlur: __chunk_6.useAllCallbacks(options.hide, htmlOnBlur),
      onMouseEnter: __chunk_6.useAllCallbacks(options.show, htmlOnMouseEnter),
      onMouseLeave: __chunk_6.useAllCallbacks(options.hide, htmlOnMouseLeave),
      "aria-describedby": options.unstable_hiddenId
    }, htmlProps);
  }
});
var TooltipReference = createComponent.unstable_createComponent({
  as: "div",
  useHook: useTooltipReference
});

exports.TooltipReference = TooltipReference;
exports.useTooltipReference = useTooltipReference;
