'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var __chunk_1 = require('../chunk-002fc018.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');

var useVisuallyHidden = createHook.unstable_createHook({
  name: "VisuallyHidden",
  compose: Box.useBox,
  useProps: function useProps(_, _ref) {
    var htmlStyle = _ref.style,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["style"]);

    return __chunk_1._objectSpread({
      style: __chunk_1._objectSpread({
        border: 0,
        clip: "rect(0 0 0 0)",
        height: "1px",
        margin: "-1px",
        overflow: "hidden",
        padding: 0,
        position: "absolute",
        whiteSpace: "nowrap",
        width: "1px"
      }, htmlStyle)
    }, htmlProps);
  }
});
var VisuallyHidden = createComponent.unstable_createComponent({
  as: "span",
  useHook: useVisuallyHidden
});

exports.VisuallyHidden = VisuallyHidden;
exports.useVisuallyHidden = useVisuallyHidden;
